Class ApiException
java.lang.Object
java.lang.Throwable
java.lang.Exception
org.openapitools.client.ApiException
- All Implemented Interfaces:
Serializable
@Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
date="2026-05-21T01:36:29.816952643Z[Etc/UTC]",
comments="Generator version: 7.8.0")
public class ApiException
extends Exception
ApiException class.
- See Also:
-
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionConstructor for ApiException.ApiException(int code, String message) Constructor for ApiException.ApiException(int code, String message, Map<String, List<String>> responseHeaders, String responseBody) Constructor for ApiException.Constructor for ApiException.ApiException(String message) Constructor for ApiException.ApiException(String message, int code, Map<String, List<String>> responseHeaders, String responseBody) Constructor for ApiException.ApiException(String message, Throwable throwable, int code, Map<String, List<String>> responseHeaders) Constructor for ApiException.ApiException(String message, Throwable throwable, int code, Map<String, List<String>> responseHeaders, String responseBody) Constructor for ApiException.ApiException(Throwable throwable) Constructor for ApiException. -
Method Summary
Modifier and TypeMethodDescriptionintgetCode()Get the HTTP status code.Get the exception message including HTTP response data.Get the HTTP response body.Get the HTTP response headers.Methods inherited from class Throwable
addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
-
Field Details
-
serialVersionUID
private static final long serialVersionUID- See Also:
-
code
private int code -
responseHeaders
-
responseBody
-
-
Constructor Details
-
ApiException
public ApiException()Constructor for ApiException.
-
ApiException
-
ApiException
Constructor for ApiException.
- Parameters:
message- the error message
-
ApiException
-
ApiException
-
ApiException
-
ApiException
-
ApiException
-
ApiException
-
-
Method Details
-
getCode
public int getCode()Get the HTTP status code.- Returns:
- HTTP status code
-
getResponseHeaders
-
getResponseBody
Get the HTTP response body.- Returns:
- Response body in the form of string
-
getMessage
Get the exception message including HTTP response data.- Overrides:
getMessagein classThrowable- Returns:
- The exception message
-